org.apache.ignite.internal.processors.cache

## Class CacheGroupDescriptor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupDescriptor

    public class CacheGroupDescriptor
    extends Object

### Method Summary

Methods
`String` `cacheOrGroupName()`
`Map<String,Integer>` `caches()`
`CacheConfiguration<?,?>` `config()`
`IgniteUuid` `deploymentId()`
`int` `groupId()`
`String` `groupName()`
`UUID` `receivedFrom()`
`boolean` `sharedGroup()`
`AffinityTopologyVersion` `startTopologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### receivedFrom

    public UUID receivedFrom()

Returns:
  Node ID group was received from.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### sharedGroup

    public boolean sharedGroup()

Returns:
  `True` if group can contain multiple caches.

#### cacheOrGroupName

    public String cacheOrGroupName()

Returns:
  Group name if it is specified, otherwise cache name.

#### groupName

    @Nullable
    public String groupName()

Returns:
  Group name or `null` if group name was not specified for cache.

#### groupId

    public int groupId()

Returns:
  Group ID.

#### config

    public CacheConfiguration<?,?> config()

Returns:
  Configuration.

#### caches

    public Map<String,Integer> caches()

Returns:
  Group caches.

#### startTopologyVersion

    @Nullable
    public AffinityTopologyVersion startTopologyVersion()

Returns:
  Start version for dynamically started group.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017